#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsSuspensionPlugIn.py,v 1.7 2004/08/04 16:45:30 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  23/01/2002  Created
#

"""
Test Suspension Plug-In to simulate the NGAS host suspension.
"""

import commands

from   ngams import *
import ngamsDiskInfo


def ngamsSuspensionPlugIn(srvObj):
    """
    Suspension Plug-In to suspend an NGAS host.

    srvObj:         Reference to instance of the NG/AMS Server (ngamsServer).

    Returns:        Void.
    """
    info(4,"Suspension Plug-In executing ...")
    commands.getstatusoutput("sudo /sbin/shutdown -h now")
    info(4,"Leaving Suspension Plug-In")


# EOF
