#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsSrvTestKillBeforeRepFile.py,v 1.1 2004/10/20 14:39:58 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  07/10/2004  Created
#

"""
Child class of ngamsServer killing itself immediately before handling
the Replication File.
"""

import os, sys, time
from   ngams import *
import ngamsServer
from   ngamsTestLib import *


class ngamsSrvTestKillBeforeRepFile(ngamsServer.ngamsServer):
    """
    Child class of ngamsServer killing itself immediately before handling
    the Replication File.
    """

    def __init__(self):
        """
        Constructor method.
        """
        ngamsServer.ngamsServer.__init__(self)

    
    def test_BeforeRepFile(self):
        """
        Tets method killing server.

        Returns:  Void.
        """
        self.killServer()
        raise Exception, "test_BeforeRepFile: TEST METHOD KILLING SERVER"

 
if __name__ == '__main__':
    """
    Main program executing the test NG/AMS Server
    """
    ngamsTestSrv = ngamsSrvTestKillBeforeRepFile()
    ngamsTestSrv.init(sys.argv)

# EOF
