#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsPClientEx.py,v 1.4 2004/08/04 16:45:30 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  26/02/2002  Created
#

"""
Small example application to archive a file.
"""

import sys
from   ngams import *
import ngamsPClient

if __name__ == '__main__':
    """
    Main function.
    """
    # Check the input parameters.
    if (len(sys.argv) != 4):
        print "Correct usage is:\n"
        print "ngamsPClientEx <host> <port> <file URI>\n"
        sys.exit(1)

    # Get the parameters for handling the archiving.
    host    = sys.argv[1]
    port    = sys.argv[2]
    fileUri = sys.argv[3] 

    # Create instance of NG/AMS Python API.
    client = ngamsPClient.ngamsPClient(host, port)

    # Execute the command.
    status = client.archive(fileUri)

    # Handle result - here we simply print the XML status message to stdout.
    print status.genXml(0, 1, 1, 1).toprettyxml('  ', '\n')[0:-1]


# EOF
