#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsEmailNotificationTest.py,v 1.12 2005/06/07 16:07:01 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  18/11/2003  Created
#

"""
This module contains the Test Suite for the Email Notification Feature.
"""

import os, sys
from   ngams import *
from   ngamsTestLib import *


class ngamsEmailNotificationTest(ngamsTestSuite):
    """
    Synopsis:
    Test Suite for the Email Notification Feature.

    Description:
    The purpose of this Test Suite is to exercise the Email Notification
    Service. It should be found out if all cases where Email Notification
    Messages can be send out, are working properly.

    Also the control flags in the configuration should be tested.

    In particular it should also be verified that the Email Retention Service
    works.

    Missing Test Cases:
      - Review all Test Cases in other Test Suite exercizing the Email
        Notification Service, and add the missing ones.
      - Test Email Notification Retention (max. number of emails for
        emitting obtained, time-out for emitting obtained).
    """

    def test_1(self):
        """
        Synopsis:
        ...
        
        Description:
        ...

        Expected Result:
        ...

        Test Steps:
        - ...

        Remarks:
        ...
        """
        info(1,"IMPL: Implement ngamsEmailNotificationTest()!!!!")


def run():
    """
    Run the complete test.

    Returns:   Void.
    """
    runTest(["ngamsEmailNotificationTest"])


if __name__ == '__main__':
    """
    Main program executing the test cases of the module test.
    """
    runTest(sys.argv)


# EOF
