#******************************************************************************
# ESO/DMD
#
# "@(#) $Id: ngamsRaiseEx_NGAMS_ER_DAPI_1.py,v 1.1 2004/10/25 16:01:49 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  10/05/2001  Created
#

"""
This DAPI exits with an NGAMS_ER_DAPI exception, which should make the
NG/AMS Server Back-Log Buffer the file.

The errors in the stack are: NGAMS_ER_DAPI and NGAMS_ER_DB_COM.
"""

from ngams import *

# DAPI function.
def ngamsRaiseEx_NGAMS_ER_DAPI_1(srvObj,
                               reqPropsObj):
    """
    Test DAPI, which raises an NGAMS_ER_DAPI Exception.

    Returns:  Void.
    """
    raise Exception, genLog("NGAMS_ER_DAPI",
                            [genLog("NGAMS_ER_DB_COM", ["TEST EXCEPTION"])])

# EOF
