#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsServerTest.py,v 1.12 2005/06/07 16:07:01 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  18/11/2003  Created
#

"""
This module contains the Test Suite for the NG/AMS Server.
"""

import os, sys
from   ngams import *
from   ngamsTestLib import *


class ngamsServerTest(ngamsTestSuite):
    """
    Synopsis:
    Test Suite of NG/AMS Server.

    Description:
    The purpose of this Test Suite is to exercise specific features of the
    NG/AMS Server not exercised while testing other features (commands etc).

    Missing Test Cases:
    - Analyze if this Test Suite is relevant.
    - Test HTTP authorization
    - Test loading of NG/AMS Configuration from DB (different combinations
      of parameters).
    - Test of handling of Request DB/Info.
    """

    def test_1(self):
        """
        Synopsis:
        ...
        
        Description:
        ...

        Expected Result:
        ...

        Test Steps:
        - ...

        Remarks:
        ...
        
        """
        info(1,"IMPL: Implement ngamsServerTest()!!!!")


def run():
    """
    Run the complete test.

    Returns:   Void.
    """
    runTest(["ngamsServerTest"])


if __name__ == '__main__':
    """
    Main program executing the test cases of the module test.
    """
    runTest(sys.argv)


# EOF
