#******************************************************************************
# ESO/DFS
#
# "@(#) $Id: ngamsSrvTestKillAfterTmpReqPropFile.py,v 1.1 2004/10/18 17:04:13 ngasmgr Exp $"
#
# Who       When        What
# --------  ----------  -------------------------------------------------------
# jknudstr  07/10/2004  Created
#

"""
Child class of ngamsServer crashing immediately after creating the Temp.
Req. Prop. File.
"""

import os, sys, time
from   ngams import *
import ngamsServer
from   ngamsTestLib import *


class ngamsSrvTestKillAfterTmpReqPropFile(ngamsServer.ngamsServer):
    """
    Child class of ngamsServer crashing immediately after creating the Temp.
    Req. Prop. File.
    """

    def __init__(self):
        """
        Constructor method.
        """
        ngamsServer.ngamsServer.__init__(self)

    
    def test_AfterCreateTmpPropFile(self):
        """
        Sub-class of ngamsServer killing itself after creating Temp. Req.
        Prop. File.
        """
        self.killServer()
        sys.exit(0)

 
if __name__ == '__main__':
    """
    Main program executing the test NG/AMS Server
    """
    ngamsTestSrv = ngamsSrvTestKillAfterTmpReqPropFile()
    ngamsTestSrv.init(sys.argv)

# EOF
